Author Topic: TBP, fs2_open_3_16_14, zathras 2.3 installation problems  (Read 2680 times)

0 Members and 1 Guest are viewing this topic.

Offline darkmaster

  • 27
  • TBP
    • Personal Website
TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Hello all,

Today I tried to reinstall TBP on my new computer with this so-called Zathras (I have never tried it), but I got some weird warnings when trying to set the 3_16_4 executable in the launcher (the launcher that goes with the 3_16_4 executable):

Warning 1 : Unrecorgzined command line parameter -jpgtga, continue ?

When I clicked "yes", another warning popped up :

Warning 2 : Unrecorgzined command line parameter -tbp, continue ?

After that I selected Zathras as MOD and ran the game. It worked despite the warnings above.
But when I tried to create a new pilot, the game failed since "there's not enough disk space", which made no sense at all.
I installed the game in C:\Jeux\TBP and I have like 950GB of free space in my disk !

After that the game just crashed.
Anyone knows what's going on here ? Thanks for helping. :confused:



TBP's apprentice FREDDER.

Campaign in development:
Guardian of Light (Demo state)(Download DEMO here)
The First Invasion - Part 1 (Planning Concept)

Single Mission :
Human-Narn First Contact (Download here)

 

Offline darkmaster

  • 27
  • TBP
    • Personal Website
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Quit the game. Try to execute the launcher (5.5g) again, and now I get this :

Fatal error : Failed enumAdapterModes in UpdateAntialiasList

After that the laucher will still appear.
TBP's apprentice FREDDER.

Campaign in development:
Guardian of Light (Demo state)(Download DEMO here)
The First Invasion - Part 1 (Planning Concept)

Single Mission :
Human-Narn First Contact (Download here)

  

Offline niffiwan

  • 211
  • Eluder Class
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Zathras 2.3 for FSO 3.6.14 is still in alpha, i.e. they're still trying to get them to work nicely together.  If you're just interested in playing TBP, you should probably use the previous version of Zathras (2.0?) & 3.6.12 for now.
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 

Offline darkmaster

  • 27
  • TBP
    • Personal Website
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
I want the latest configuration because I hope to return to fredding, and I don't want to update my work when the new build come out.

PS : I'm using wiwdows 8, maybe it's the issue ?
TBP's apprentice FREDDER.

Campaign in development:
Guardian of Light (Demo state)(Download DEMO here)
The First Invasion - Part 1 (Planning Concept)

Single Mission :
Human-Narn First Contact (Download here)

 

Offline karajorma

  • King Louie - Jungle VIP
  • Administrator
  • 214
    • Karajorma's Freespace FAQ
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
In your TBP\Data\Players\Single folder create a new folder called inferno. That should solve the crash.
Karajorma's Freespace FAQ. It's almost like asking me yourself.

[ Diaspora ] - [ Seeds Of Rebellion ] - [ Mind Games ]

 

Offline jg18

  • A very happy zod
  • 210
  • can do more than spellcheck
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Apparently, the 5.5g launcher doesn't work correctly on Windows 8 (see here). You can use wxLauncher instead.

As for the two warnings you were getting, look for "-jpgtga" and "-tbp" in the launcher's custom flags (on 5.5g's Features tab) and remove them. That should fix it.

 

Offline darkmaster

  • 27
  • TBP
    • Personal Website
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Thank you karajorma and jg18, all problems are solved by using wxLauncher instead of the Windows launcher (even the annoying warnings). The crash is solved by creating an Inferno directory in TBP\Data\Players\Single.

Maybe you guys should write it somewhere in the release thread that the Windows launcher doesn't work with Windows 8. It's a little misleading and not many gamers have the patience to ask for help lol.

TBP's apprentice FREDDER.

Campaign in development:
Guardian of Light (Demo state)(Download DEMO here)
The First Invasion - Part 1 (Planning Concept)

Single Mission :
Human-Narn First Contact (Download here)

 

Offline wesp5

  • 29
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Again I would suggest that with the next Zathras version, all things necessary to get the game running should be included. Like a working launcher, OpenAL and some builds that are compatible with that Zathras version! BTW, are SSE and SSE2 optimations actually important anymore with the current speed of modern CPUs or would the least dominator work as well?

 

Offline The E

  • He's Ebeneezer Goode
  • Global Moderator
  • 213
  • Nothing personal, just tech support.
    • Steam
    • Twitter
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
While SSE and SSE2 are not really big factors, they are noticeable.

Also, if anything, the SSE2 build should be the standard one, given that we're not using Pentium 3's anymore.
Let there be light
Let there be moon
Let there be stars and let there be you
Let there be monsters and let there be pain
Let us begin to feel again
--Devin Townsend, Genesis

 

Offline wesp5

  • 29
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Also, if anything, the SSE2 build should be the standard one, given that we're not using Pentium 3's anymore.

 I agree. So it would be enough to only include the SSE2 engines into a possible Zathras patch then...

 

Offline FUBAR-BDHR

  • Self-Propelled Trouble Magnet
  • Moderator
  • 212
  • Master Drunk
    • 165th Beer Drinking Hell Raisers
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
So I'll build the next Zathras and include all the binaries necessary to run on all operating systems.  I'm sure that will cause no confusion whatsoever.  I'm also sure people will appreciate the extra hundred meg of download and HD space. 
No-one ever listens to Zathras. Quite mad, they say. It is good that Zathras does not mind. He's even grown to like it. Oh yes. -Zathras

 

Offline wesp5

  • 29
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
So I'll build the next Zathras and include all the binaries necessary to run on all operating systems.  I'm sure that will cause no confusion whatsoever.  I'm also sure people will appreciate the extra hundred meg of download and HD space.

Right now, Zathras 2.3 is about 134 MB, the latest SSE2 binaries are only about 16 MB (even including the debug builds) and OpenAL is just 764 kb! So the latter two hardly matter, provided the Linux binaries are about the same size.

Another, more professional version anyway, would be to make an installer for Zathras. This would mean to have one for Windows and one for Linux, but on the other hand it would mean even less binaries to be packed into the package.

 

Offline FUBAR-BDHR

  • Self-Propelled Trouble Magnet
  • Moderator
  • 212
  • Master Drunk
    • 165th Beer Drinking Hell Raisers
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
OK you have linux, mac, freebsd, and windows builds as well as WxLauncher, Launcher5.5g, openal, the other version of openal that might be needed if the regular openal causes issues, then whatever *nix and mac systems might need to run. 

It's just not practical and I don't know of any other mod that does it.  You point to the release thread and let them get what they need. 

No-one ever listens to Zathras. Quite mad, they say. It is good that Zathras does not mind. He's even grown to like it. Oh yes. -Zathras

 

Offline darkmaster

  • 27
  • TBP
    • Personal Website
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Why do you need to bundle all those things into one media ? Just (Windows builds, WxLauncher for "Windows" Zarthras) / (Linux builds, WxLauncher for "Linux" Zarthras) ect... You will have 3 links to 3 different Zarthras and the end user never have to read discouraging technical thread written in language beyong mortal understanding to get the game running.
TBP's apprentice FREDDER.

Campaign in development:
Guardian of Light (Demo state)(Download DEMO here)
The First Invasion - Part 1 (Planning Concept)

Single Mission :
Human-Narn First Contact (Download here)

 

Offline FUBAR-BDHR

  • Self-Propelled Trouble Magnet
  • Moderator
  • 212
  • Master Drunk
    • 165th Beer Drinking Hell Raisers
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
And if I pack wxlauncher and people have the shortcuts pointing to launcher then they don't get the update.  If I don't pack wxlauncher and they have the win8 issue then what? 

I'm not going to hold peoples hands.  One package with just the mod data and instructions in the release thread should be more then enough.  If they can't follow instructions then it doesn't matter how idiot proof you try to make it they are going to screw up.  Every other mod does releases with instructions to get the required builds and that is what I am planning on sticking with.  Remember this is a mod not a full installation. 
No-one ever listens to Zathras. Quite mad, they say. It is good that Zathras does not mind. He's even grown to like it. Oh yes. -Zathras

 

Offline wesp5

  • 29
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Remember this is a mod not a full installation.

That's the problem! As long as you mustn't touch the TBP base because of the ancient developer wars ;), Zathras in it's current form is only something for specialists. If you keep it that way forever, it's no wonder if people prefer one-install-for-all games like Diaspora and the SCP guys look down at you. And installer for mods and patches are not difficult, I do them for all of mine! As for the launcher issue, either include both of them or have the user select their options on installing, like which launcher, which build, which OpenAL. Sounds complicated right now, but once you have the installer script, it's only about updating the files to update the whole Zathras! Don't get me wrong, I admire all the work you do with Zathras, but it's a shame that it won't get into mainstream much in it's current form. Especially with the space combat sim resurgence right now, it would be cool to see each new release announced on major games sites like Blues News too!
« Last Edit: December 07, 2012, 05:38:14 pm by wesp5 »

 

Offline FUBAR-BDHR

  • Self-Propelled Trouble Magnet
  • Moderator
  • 212
  • Master Drunk
    • 165th Beer Drinking Hell Raisers
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Zathras is TBP's version of the MediaVPs.  I suggest you see how they do it:  http://www.hard-light.net/forums/index.php?topic=70736.0

There isn't nor should there be a Zathras for every FS2_Open.  There will be times when FS2_Open releases come out when there isn't a new Zathras and vice verse.  It's just not practical to include builds, launchers, and other needed items in Zathras itself.  Now if there is ever another DVD release or something like that then that would be a different story as there would need to be an installer for each platform and the old DVD would not be needed before installing. 
No-one ever listens to Zathras. Quite mad, they say. It is good that Zathras does not mind. He's even grown to like it. Oh yes. -Zathras

 

Offline wesp5

  • 29
Re: TBP, fs2_open_3_16_14, zathras 2.3 installation problems
Zathras is TBP's version of the MediaVPs.  I suggest you see how they do it:  http://www.hard-light.net/forums/index.php?topic=70736.0

That's even more made up for developers than Zathras, but now I can understand where you are coming from ;)! If you don't want to do an installer, you should at least add valid links to all the necessary stuff on the TBP download page. So there is no need to search through the forums...

BTW, several links on the download pages are dead, like Megaupload, GameFront and RapidShare, but then I don't know if you manage the homepage too :)!
« Last Edit: December 08, 2012, 02:20:55 am by wesp5 »